<!--
lettres du scrabble
le nom des gens
-->

# Bépo et claviers<br/>ergonomiques

- Auteur&nbsp;: sinma
- Licence&nbsp;: CC-BY-SA
- Téléchargement&nbsp;: <http://bepo.fr>



## Ergodis

C’est la machine qui doit s’adapter à l’humain.


![Logo d’Ergodis](img/logo/ergodis.png)

- Association loi de 1901 (but non-lucratif)
- Promeut les interfaces humain-machine ergonomiques&nbsp;:
  - logiciel (logiciel pilotable au clavier)
  - matériel (souris verticale, boule de commande, etc.)
- Pour la praticité et la santé



## Dactylographie

Êtes-vous concentrés sur votre stylo ou sur ce que vous écrivez&nbsp;?


### Principe

- Bouger le moins possible (rangée de repos)
- Utiliser ses dix doigts&nbsp;!
- Ne pas regarder le clavier (mémoire musculaire)


### Santé et praticité

Allez-retours des yeux entre l’écran et le clavier

- Mal aux yeux
- Douleurs à la nuque
- Plus grand nombre de fautes
- Moins bonne concentration



## Arrangement des caractères

Pourquoi pas l’ordre alphabétique&nbsp;?


### QWERTY


#### Invention du QWERTY

- Première machine à écrire (1868): ordre alphabétique
- Problèmes mécaniques (coincement des tiges des touches)
- Pouvoir taper «&nbsp;Typewriter&nbsp;» sur la ligne du haut


#### L’ordinateur ne sait pas lire

Lors de l’appui sur la touche marquée «&nbsp;A&nbsp;» en AZERTY&nbsp;:

- Machine à écrire&nbsp;: imprime A
  - Changer la disposition → changer de machine
- Ordinateur&nbsp;: «&nbsp;première touche en haut à gauche&nbsp;»
  - A si l’ordinateur est réglé est AZERTY
  - Q en QWERTY
  - etc.


#### Propagation du QWERTY

- AZERTY&nbsp;: QWERTY bidouillé pour le français
- Pas adapté&nbsp;: Lituanien (ĄŽERTY), Roumain (QWERTZ)
- AZERTY français/belge, QWERTY portuguais/brésilien

Note: différences arbitraires


#### 146 ans, temps de passer à autre chose&nbsp;?

![Machine à écrire de Sholes](img/clavier/sholes_typewriter.jpg)

Note: échecs d’autres dispositions car machines toutes qwerty


### Dvorak


#### *Dvorak Simplified Keyboard*

- Inventée en 1932 par August Dvorak
- Normalisée en 1982 (après sa mort)

> «&nbsp;Je suis fatigué d’essayer de faire quelque chose d’utile à l’espèce humaine. Ils ne veulent simplement pas changer&nbsp;!&nbsp;»

⇒ Disposition bien établie du fait de sa normalisation

Note: 1940: disposition Dvorak optimisée à une main
<br />Barbara Blackburn, record vitesse en anglais sur 50min


#### Dvorak-fr

Disposition dvorak-fr de Francis Leboutte en 2002

- Caractères français manquants ou difficiles à taper
- Illogismes, pas très intuitif
- Licence CC-BY-ND&nbsp;!
- Peu d’informations sur la conception…



## Bépo

Plus de mots, moins de maux


![Logo du bépo&nbsp;: «&nbsp;Plus de mots, moins de maux&nbsp;»](img/logo/bepo.png)

- Par un groupe de personnes
- À partir de zéro
- Mieux adapté au français, plus logique
- Licence libre (CC-BY-SA)
- Disponibilité des informations et outils


> Combien de mots pouvez-vous écrire uniquement avec la rangée de repos en AZERTY (QSDF JKLM)&nbsp;?

Note: SDF, km, ms et autres unités.
<br />C’est pas une rangée de repos, c’est un moulin!


### Carte du bépo

![Carte simplifiée du bépo](img/data/carte-bepo-simple.png)

> Avec la rangée de repos en bépo (AUIE TSRN)&nbsp;?

> un, une, tu, te, sa, se, ne, ni, en, an, nature, erreur, suite, naitre, sein, terre, rue, saut, etc.


Et même des phrases&nbsp;!

> Une eau saine et sans nitrate serait rare et utile

> Une trentenaire tunisienne se tait en entrant

> Un narrateur rennais riant est rassurant

> Une sainte aura ruinait la nuit trainante

> …


### Santé

[TMS](https://fr.wikipedia.org/wiki/TMS) (troubles musculo-squelettiques)

- Dus aux mouvements répétés
- Première maladie professionnelle dans les pays développés


### Méthode

- Gros corpus de textes, statistiques
- Lettres placées par un algorithme


### Résultat

![Répartition des frappes sur le clavier entre AZERTY et bépo](img/data/stats-lignes-mains-flat.png)

- Caractères/digrammes fréquents plus accessibles
- Répartition équitable main gauche/droite (17,2% d’écart à 1%)
- Alternance des mains et des doigts


<video controls style="width:640px;height:360px;" src="video/azerty_vs_bepo.mp4"></video>

[Azerty vs bépo](http://www.dailymotion.com/video/x80kdk_azerty-vs-bepo_tech)



## Typographie

Une bonne typographie aide à la compréhension.


### NOUS AIMIONS TOUS LE SUICIDE


### NOUS AIMIONS TOUS LE SUICIDÉ


### GISCARD CHAHUTE A L'ASSEMBLEE


### GISCARD CHAHUTÉ À L'ASSEMBLÉE


### UN INTERNE TUE


- Un interne tue
- Un interné tue
- Un interne tué
- Un interné tué

<br />???


### Tueur d’accents

![Machine à écrire de Sholes](img/clavier/sholes_typewriter.jpg)

Note: la machine à écrire puis QWERTY/AZERTY


### Pour les compositions soignées

- Lettres
  - Capitales diacritiquées É, È, À, Ù, Ç etc.
  - Ligatures œ, Œ et æ, Æ
- Ponctuation
  - Guillemets français «»
  - Tiret moyen – et tiret long —
  - Points de suspension …
  - Apostrophe courbe ’
  - Espace insécable et fine insécable

![Carte complète du bépo](img/data/carte-bepo-complete.png)

Note: Quand c’est si facile, respecter la règle devient une évidence


### Maths

- ± − ÷ × ≠ ≃ ≮ ≯ ≤ ≥ ≰ ≱ ≲ ≳ ¼ ½ ¾ ‰
- Alphabet grec&nbsp;: α β γ δ ε etc.
- Les chiffres en exposants ¹²³⁴⁵ et en indices ₆₇₈₉₀

![Carte complète du bépo](img/data/carte-bepo-complete.png)


### International

- Lettres et ponctuation de 32 langues&nbsp;! (AZERTY: 1 ou 2)
  - 21 langues de l’union européenne
  - tshiluba/cilubà (Congo), manjaque (Sénégal),<br/>shimaoré et shibushi (Mayotte)
  - espéranto, asturien, gallois, turc et azéri, islandais, vietnamien
  - transcriptions hanyu pinyin et grec polytonique (ISO 843)
- La plupart des symboles monétaires (€ $ ¢ ¥ £ ₪ ฿ etc.)

![Carte complète du bépo](img/data/carte-bepo-complete.png)

Note: placmt logique humains car résults algo trop changeants
<br />paire, touches ponctuation, regroupement (op math)
<br />Ponctuation (point, virgule), \ {} regroupé pour le LaTeX
<br />avec bépo, plus besoin de traitement de texte ou de LaTeX
<br />Alt+X (trop de symboles, uniquement Windows)



## Idées reçues sur le bépo

Ne croyez pas tout ce qu’on vous dit&nbsp;!


### Pas optimisé pour l’anglais

![Fréquences des lettres dans 15 langues](img/data/stats_lettres_langues.png)

- Statistiques des lettres les plus utilisées très proches&nbsp;!
- Beaucoup de mots en commun

Note: le Neo, le Dvorak ou le Colemak seront probablement plus efficaces que l’AZERTY ou le QWERTY pour taper du français…


### Pas optimisé pour l’informatique

- Beaucoup d’informaticiens parmi les concepteurs du bépo
- Symboles de programmation globalement bien placés
- Mots-clés, noms de fonctions, noms de variables…
- Chiffres en maj&nbsp;: symboles plus fréquents que chiffres et Verr. maj.

Note: pour <>, c’est une habitude à prendre
<br />point-virgule bien placé pour la fréquence


### C’est un truc de geek&nbsp;!

[Quelques bépoètes du forum](http://forum.bepo.fr/viewtopic.php?id=751)&nbsp;:

- historien
- peintre décorateur
- gendarme
- infographiste
- cinéaste
- avocat
- traducteur
- etc.



## Se mettre au bépo

Vous ne le regretterez pas.


### Installation


#### Ordinateur fixe/portable

- GNU/Linux, BSD&nbsp;: installé par défaut
- Windows&nbsp;: installation système et version portable
- Mac OS X&nbsp;: installation système ou par utilisateur
- Chromium/ChromeOS&nbsp;: extension
- Haiku&nbsp;: disponible par défaut


#### Ordiphone/tablette

- FirefoxOS&nbsp;: installé par défaut
- Android&nbsp;:
  - AnySoftKeyboard (logiciel libre)
  - SlideIT (pas libre)
  - Swiftkey (pas libre)
- iOS&nbsp;: *jailbreak* ou claviers virtuels tiers (iOS 8)

Note: Android: clavier physique (appli payante avec version d’essai)


### Apprentissage


- Logiciel de dactylographie
  - ex&nbsp;: Klavaro, KTouch ou le dactylotest sur <http://bepo.fr>
- Disposition imprimée à côté de soi
- S’entrainer avant de passer complètement en bépo
- Possible d’utiliser bépo en parallèle d’AZERTY et QWERTY



## Matériel

Les dinosaures n’ont pas encore disparu.


### Clavier


#### Arrangement des touches

- Problèmes mécaniques&nbsp;:
  - rangées décalées
  - clavier orienté vers le haut (cales&nbsp;!)
- asymétrie&nbsp;: plus de touches à droite (symboles)


#### Rangées décalées

![Machine à écrire de Sholes](img/clavier/sholes_typewriter.jpg)


#### Davantage de touches&nbsp;!

- Rangée supplémentaire (F1, F2, etc.)
- Touches supplémentaires (Suppr., Suppr. arrière, etc.)
- Pavé fléché (et touches au-dessus)
- Pavé numérique
- Touches raccourcis ou macros


#### Claviers «&nbsp;ergonomiques&nbsp;»


Microsoft Natural 4000

![Microsoft Natural 4000](img/clavier/ms_natural_4000.jpg)


Microsoft Sculpt Ergonomic

![Microsoft Sculpt Ergonomic](img/clavier/ms_sculpt.jpg)


Smartfish Engage

![Smartfish Engage](img/clavier/smartfish_engage.jpg)


#### Claviers «&nbsp;innovants&nbsp;»

- Rangées droites
- Entrée, suppr, flèches, etc. plus accessibles
- Proximité avec la souris


TypeMatrix, <http://typematrix.com>

![TypeMatrix, peau transparent bépo](img/clavier/tmx_transparent_bepo.png)

- Le moins cher et le plus compact
- En fn&nbsp;: couper/copier/coller, pavé numérique, touches multimédias


TrulyErgonomic, <http://trulyergonomic.com>

![TrulyErgonomic](img/clavier/te.jpg)

- Clavier mécanique
- Repose-poignet détachable
- Pavé numérique en fn


Ergodox, <http://ergodox.org>

![Ergodox](img/clavier/ergodox.png)

- Clavier mécanique
- En deux parties
- Touches sous les pouces


Kinesis Advantage, <http://www.kinesis-ergo.com>

![Kinesis Advantage](img/clavier/kinesis-advantage-black.jpg)

- Clavier en creux
- Touches sous les pouces


### Dispositifs de pointage


#### Santé

Souris classique → [syndrome du canal carpien](https://fr.wikipedia.org/wiki/Syndrome_du_canal_carpien) (compression du nerf médian du poignet)


#### Alternatives


##### Avec votre matériel actuel

- Alterner main gauche et main droite
- Sur les ordinateurs portables
  - Pavé tactile (touchpad/trackpad)
  - Bouton de pointage (trackpoint)


##### Avec du nouveau matériel


Souris verticale

![Souris verticale](img/pointage/souris_evoluent.jpg)


Boule de commande (trackball)

<table style="margin: auto;"><tr>
<td>![Boule de commande ressemblant à une souris](img/pointage/trackball_logitech.png)</td>
<td>![Boule de commande ressemblant](img/pointage/trackball_kensington.jpg)</td>
<td>![Boule de commande ressemblant](img/pointage/trackball_mouse_kensington.jpg)</td>
</tr></table>



## Crédits

Car toute œuvre mérite crédit.


### Images

- Les logos bépo et Ergodis sont sous licence CC-BY-SA
- Wikipédia&nbsp;:
  - [La machine à écrire](https://en.wikipedia.org/wiki/Typewriter#Sholes_and_Glidden_Type-writer) (domaine public).
  - [La fréquence des lettres dans différentes langues](https://fr.wikipedia.org/wiki/Fr%C3%A9quence_d%27apparition_des_lettres_en_fran%C3%A7ais) (CC-BY-SA).
- Les images de claviers et de boules de commande viennent du site du fabricant, sauf celle du Engage trouvée sur [Clubic](http://www.clubic.com/materiel-informatique/clavier-informatique/actualite-388712-engage-clavier-ergonomique-smartfish-disponible-vente.html).


### Textes

- Beaucoup d’informations venant du [site du bépo](http://bepo.fr).
- Phrases sans capitales accentuées&nbsp;:
  - article [Pourquoi accentuer les capitales](http://sophie-viguier-correctrice.e-monsite.com/pages/mes-orthotrucs/les-ortho-trucs-precedents/orthographe/pourquoi-accentuer-les-capitales.html) de Sophie Viguier
  - article [L'accent tué ou l'accent tue&nbsp;!](http://www.synec-doc.be/doc/accents2.htm) sur Synec-doc
- Merci à yekcim pour
  - son [article sur la dactylographie](http://yeknan.free.fr/dc2/index.php?post/2014/07/03/La-dactylographie%2C-quel-int%C3%A9r%C3%AAt%C2%A0)
  - son article sur le bépo paru dans *Linux Pratique* n°85
- Merci Wikipédia&nbsp;!


### Outils

- bépo&nbsp;!
- reveal.js



## Des questions&nbsp;?

Ne soyez pas timide.

<hr />

Site web&nbsp;: <http://bepo.fr>

- Documentation (wiki)
- Forum
- bavardage (IRC)
- Liste de discussion
